package com.ruoyi.project.system.domain;

import java.util.Date;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 上传数据历史对象 t_uploadhistory
 *
 * @author ruoyi
 * @date 2021-03-24
 */
public class TUploadhistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 上传人 */
    @Excel(name = "上传人")
    private String uploadCode;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date uploadDate;

    /** 上传类型 */
    @Excel(name = "上传类型")
    private String uploadType;

    /** 上传内容 */
    @Excel(name = "上传内容")
    private String content;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUploadCode(String uploadCode)
    {
        this.uploadCode = uploadCode;
    }

    public String getUploadCode()
    {
        return uploadCode;
    }
    public void setUploadDate(Date uploadDate)
    {
        this.uploadDate = uploadDate;
    }

    public Date getUploadDate()
    {
        return uploadDate;
    }
    public void setUploadType(String uploadType)
    {
        this.uploadType = uploadType;
    }

    public String getUploadType()
    {
        return uploadType;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uploadCode", getUploadCode())
            .append("uploadDate", getUploadDate())
            .append("uploadType", getUploadType())
            .append("content", getContent())
            .append("deptId", getDeptId())
            .toString();
    }
}
